Bug 543741 - [RFE] Non-Working Days Not Highlighted When Setting Fixed Dates for Tasks
Summary: [RFE] Non-Working Days Not Highlighted When Setting Fixed Dates for Tasks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: planner
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-03 00:16 UTC by David Le Sage
Modified: 2009-12-22 04:56 UTC (History)
2 users (show)

Fixed In Version: 0.14.4-12.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 04:56:08 UTC
Type: ---


Attachments (Terms of Use)
Screenshot shows days "greyed out" in calendar editor but available in the other calendar for the task. The fact they are not available has not carried over. (119.94 KB, image/png)
2009-12-03 00:16 UTC, David Le Sage
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 603693 0 None None None Never

Description David Le Sage 2009-12-03 00:16:22 UTC
Created attachment 375628 [details]
Screenshot shows days "greyed out" in calendar editor but available in the other calendar for the task.  The fact they are not available has not carried over.

Description of problem:
A user might set "Non-Working" Days through the Project->Manage Calendars functionality. However, when he or she then goes to set a fixed date for a task or sub-task, the non-working days are not highlighted.

Version-Release number of selected component (if applicable):
Planner 0.14.4 (Fedora 12)

How reproducible:
Every time.

Steps to Reproduce:
1. Launch Planner.
2. Go to Project->Manage Calendars.  The "Calendar Editor" dialogue box appears.
3. Click on a day.  
4. Set day type to non-working.
5. Click apply.  The day will now be "greyed out."
6. Click "Close" to dismiss the Calendar Editor.
7. From the left-hand bar, click "Tasks."
8. Create a new sub-task 
9. Right-click on the sub-task and choose "Edit Task."
10. The "Edit Task Properties" dialogue box will appear.
11.  On the "General" tab, click "Change."
12.  From Schedule, click "On Fixed Date."

  
Actual results:
Non-working days are not highlighted, so the user will not know which days are available.

Expected results:
Non-working days should be "greyed out" in this instance of the calendar, as they were in the other.

Additional info:

Comment 1 Caolan McNamara 2009-12-03 12:21:33 UTC
The edit->task calendar is not connected to the project calendar at all, so different things. Necessary to re-implement it to attach to the project calendar

Comment 2 Caolan McNamara 2009-12-03 12:28:25 UTC
submitted a patch upstream

Comment 3 Caolan McNamara 2009-12-03 12:51:07 UTC
Checked implementation in to fedora repo, will push a testing update. Please have a look at it when the update notice is appended to this issue

Comment 4 Fedora Update System 2009-12-03 13:18:51 UTC
planner-0.14.4-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-6.fc12

Comment 5 David Le Sage 2009-12-03 22:12:35 UTC
Caolan, 

That was fast!  :-)  :-)  :-) 


Many thanks. Will test.


David

Comment 6 Fedora Update System 2009-12-04 23:51:33 UTC
planner-0.14.4-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update planner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12667

Comment 7 David Le Sage 2009-12-06 22:56:37 UTC
Tested and working correctly.  My issue has been resolved.  Many thanks.

Comment 8 Fedora Update System 2009-12-09 13:20:25 UTC
planner-0.14.4-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-7.fc12

Comment 9 Fedora Update System 2009-12-11 10:55:13 UTC
planner-0.14.4-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-8.fc12

Comment 10 Fedora Update System 2009-12-11 18:36:20 UTC
planner-0.14.4-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update planner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13137

Comment 11 Fedora Update System 2009-12-15 11:26:39 UTC
planner-0.14.4-11.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-11.fc12

Comment 12 Fedora Update System 2009-12-16 01:10:29 UTC
planner-0.14.4-11.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update planner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13174

Comment 13 Fedora Update System 2009-12-16 01:23:30 UTC
planner-0.14.4-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update planner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13260

Comment 14 Fedora Update System 2009-12-21 09:57:13 UTC
planner-0.14.4-12.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-12.fc12

Comment 15 Fedora Update System 2009-12-22 04:55:41 UTC
planner-0.14.4-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.